Loading...
Searching...
No Matches
Log interface
L4Re C Interface

Log C interface. More...

Collaboration diagram for Log interface:

## Functions

L4_BEGIN_DECLS void | l4re_log_print (char const *string) L4_NOTHROW
| Write a null terminated string to the default log.
void | l4re_log_printn (char const *string, int len) L4_NOTHROW
| Write a string of a given length to the default log.
void | l4re_log_print_srv (const l4_cap_idx_t logcap, char const *string) L4_NOTHROW
| Write a null terminated string to a log.
void | l4re_log_printn_srv (const l4_cap_idx_t logcap, char const *string, int len) L4_NOTHROW
| Write a string of a given length to a log.

## Detailed Description

Log C interface.

## Function Documentation

## l4re_log_print()

void l4re_log_print | ( | char const * | string | ) |

inline

Write a null terminated string to the default log.

Parameters

  string | Text to print, null terminated.

See also
  L4Re::Log::print

Definition at line 81 of file log.h.

References L4_NOTHROW, and l4re_log_print_srv().

Here is the call graph for this function:

## l4re_log_print_srv()

void l4re_log_print_srv | ( | const l4_cap_idx_t | logcap,
|  | char const * | string )

Write a null terminated string to a log.

Parameters

  logcap | Log capability (service).
  string | Text to print, null terminated.

See also
  L4Re::Log::print

References L4_CV, and L4_NOTHROW.

Referenced by l4re_log_print().

Here is the caller graph for this function:

## l4re_log_printn()

void l4re_log_printn | ( | char const * | string,
|  | int | len )

inline

Write a string of a given length to the default log.

Parameters

  string | Text to print, null terminated.
  len | Length of string in bytes.

See also
  L4Re::Log::printn

Definition at line 87 of file log.h.

References L4_NOTHROW, and l4re_log_printn_srv().

Here is the call graph for this function:

## l4re_log_printn_srv()

void l4re_log_printn_srv | ( | const l4_cap_idx_t | logcap,
|  | char const * | string,
|  | int | len )

Write a string of a given length to a log.

Parameters

  logcap | Log capability (service).
  string | Text to print, null terminated.
  len | Length of string in bytes.

See also
  L4Re::Log::printn

References L4_CV, L4_INLINE, and L4_NOTHROW.

Referenced by l4re_log_printn().

Here is the caller graph for this function: